[Fontconfig] fontconfig: Branch 'master'

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Tue Aug 25 03:56:43 UTC 2020


 test/run-test.sh |   13 +++++++++++++
 1 file changed, 13 insertions(+)

New commits:
commit abbd87ac2c3508c1c0ff817a473a92256e616d5e
Author: Akira TAGOH <akira at tagoh.org>
Date:   Tue Aug 25 12:49:30 2020 +0900

    Add some tweaks into runtest.sh to see progress

diff --git a/test/run-test.sh b/test/run-test.sh
index 267b54a..69302ae 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -44,6 +44,17 @@ fi
 
 FONT1=$TESTDIR/4x6.pcf
 FONT2=$TESTDIR/8x16.pcf
+TEST=""
+
+clean_exit() {
+    rc=$?
+    trap - SIGINT SIGTERM SIGABRT EXIT
+    if [ "x$TEST" != "x" ]; then
+        echo "Aborting from '$TEST' with the exit code $rc"
+    fi
+    exit $rc
+}
+trap clean_exit SIGINT SIGTERM SIGABRT EXIT
 
 check () {
     {
@@ -454,3 +465,5 @@ unset temp_HOME
 fi # if [ "x$EXEEXT" = "x" ]
 
 rm -rf "$FONTDIR" "$CACHEFILE" "$CACHEDIR" "$BASEDIR" "$FONTCONFIG_FILE" out
+
+TEST=""


More information about the Fontconfig mailing list